import 'package:example/localization/labels.dart';
import 'package:example/ui/activity_home.dart';
import 'package:flutter/material.dart';
import 'package:flutterx_application/flutterx_application.dart';

void main() => runMaterialApp(
    name: 'Flutterx Application Demo',
    initialRoute: HomeActivity.route,
    labels: Labels.supportedLabels,
    onLabel: Labels.onLabel,
    materialAppFactory: (key, initialRoute, onGenerateRoute, title, locale, localizationsDelegates, supportedLocales) =>
        MaterialApp(
            key: key,
            initialRoute: initialRoute,
            onGenerateRoute: onGenerateRoute,
            title: title,
            theme: _appTheme,
            locale: locale,
            localizationsDelegates: localizationsDelegates,
            supportedLocales: supportedLocales,
            debugShowCheckedModeBanner: false));

final _appTheme = ThemeData(
    primaryColor: Colors.blueGrey,
    colorScheme: ColorScheme.fromSwatch(
      primarySwatch: Colors.blueGrey,
    ),
    bottomSheetTheme: BottomSheetThemeData(
      backgroundColor: Colors.blueGrey[600],
    ));
